| Home | Libraries | People | FAQ | More

##### ssl::stream::set_verify_mode (1 of 2 overloads)

Set the peer verification mode.

    void set_verify_mode(
        verify_mode v);

This function may be used to configure the peer verification mode used by the stream. The new mode will override the mode inherited from the context.

###### Parameters

v

  A bitmask of peer verification modes. See `ssl::verify_mode` for available values.

###### Exceptions

boost::system::system_error

  Thrown on failure.

###### Remarks

Calls `SSL_set_verify`.